CHOWN(1)

BEZEICHNUNG
chown - Besitzer und Gruppe von Dateien ändern

ÜBERSICHT
chown [OPTION]… [BESITZER][:[GRUPPE]] DATEI…
chown [OPTION]… --reference=RDATEI DATEI…

BESCHREIBUNG
Diese Handbuchseite beschreibt die GNU-Version von chown. chown ändert den Besitzer und/oder die Gruppe jeder übergebenen Datei. Wenn nur ein Benutzer (entweder als Benutzername oder numerische Benutzerkennung) angegeben wird, wird dieser Benutzer der Besitzer von jeder übergebenen Datei; die Gruppenzugehörigkeit der Dateien wird nicht verändert. Wenn dem Besitzer ein Doppelpunkt und ein Gruppenname (oder eine numerische Gruppenkennung) ohne Leerzeichen folgt, wird die Gruppenzugehörigkeit der Dateien ebenfalls geändert. Wenn dem Benutzernamen ein Doppelpunkt folgt, aber kein Gruppenname, wird der Benutzer Besitzer der Dateien und ihre Gruppenzugehörigkeit ändert sich auf die Anmeldegruppe des Benutzers. Wenn der Doppelpunkt und die Gruppe ohne Benutzer angegeben werden, wird nur die Gruppe der Dateien geändert; in diesem Fall übt chown dieselbe Funktion wie chgrp aus. Wenn nur ein Doppelpunkt angegeben wird oder der gesamte Operand leer ist, werden weder der Besitzer noch die Gruppe geändert.

OPTIONEN

Ändern des Besitzers und/oder der Gruppe für jede DATEI in BESITZER oder GRUPPE. Mit --reference werden Besitzer und Gruppe jeder DATEI auf die von RDATEI geändert.

-c, --changes
    Wie --verbose, aber nur durchgeführte Änderungen berichten

-f, --silent, --quiet
    Die meisten Fehlermeldungen unterdrücken

-v, --verbose
    Eine Diagnose für jede verarbeitete Datei ausgeben

--dereference
    Die referenzierte Datei jedes symbolischen Links ändern statt des symbolischen Links selbst (dies ist die Voreinstellung)

-h, --no-dereference
    Symbolische Links statt der referenzierten Datei ändern (nur nützlich auf Systemen, die für symbolische Links den Besitzer ändern können)

--from=AKTUELLER_BESITZER:AKTUELLE_GRUPPE
    Den Besitzer und/oder die Gruppe jeder Datei nur dann ändern, wenn der aktuelle Besitzer und/oder die aktuelle Gruppe mit den hier angegebenen übereinstimmen. Sowohl der Besitzer als auch die Gruppe kann weggelassen werden. In dem Fall ist eine Übereinstimmung für das weggelassene Attribut nicht erforderlich.

--no-preserve-root
    »/« nicht besonders behandeln (Voreinstellung)

--preserve-root
    Rekursive Bearbeitung von »/« ablehnen

--reference=RDATEI
    Besitzer und Gruppe von RDATEI verwenden statt BESITZER:GRUPPE‐Werte anzugeben

-R, --recursive
    Dateien und Verzeichnisse rekursiv ändern

Die folgenden Optionen bestimmen, wie eine Hierarchie abgearbeitet wird, wenn die Option -R ebenfalls angegeben ist. Wenn mehr als eine angegeben ist, wirkt sich nur die Letzte aus.

-H  Wenn ein Befehlszeilenargument ein symbolischer Link auf ein Verzeichnis ist, dieses durchlaufen

-L  Jeden gefundenen symbolischen Link auf ein Verzeichnis durchlaufen

-P  Überhaupt keine symbolischen Links durchlaufen (Voreinstellung)

--help
    zeigt Hilfeinformationen an und beendet das Programm.

--version
    gibt Versionsinformationen aus und beendet das Programm.

Der Besitzer bleibt unverändert, wenn er nicht angegeben wurde. Die Gruppe bleibt unverändert, wenn sie nicht angegeben wurde, wird aber auf die Anmeldegruppe gesetzt, wenn diese durch ein »:« hinter einem symbolischen BESITZER impliziert wird. BESITZER und GRUPPE können sowohl numerisch als auch symbolisch angegeben werden.

BEISPIELE

chown root /u
    Ändert den Besitzer von /u auf »root«.

chown root:staff /u
    Genauso, aber ändert zusätzlich die Gruppe auf »staff«.

chown -hR root /u
    Ändert den Besitzer von /u und darin enthaltener Dateien auf »root«.

AUTOR
Geschrieben von David MacKenzie und Jim Meyering.

FEHLER MELDEN
Onlinehilfe für GNU coreutils: <https://www.gnu.org/software/coreutils/>
Melden Sie Fehler in der Übersetzung an <https://translationproject.org/team/de.html>

COPYRIGHT
Copyright © 2019 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 oder neuer <https://gnu.org/licenses/gpl.html>.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
chown(2)

Vollständige Dokumentation unter: <https://www.gnu.org/software/coreutils/chown>
oder lokal verfügbar mit: info '(coreutils) chown invocation'

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Piefel <piefel@debian.org>, Michael Schmidt <michael@guug.de>, Mario Blättermann <mario.blaettermann@gmail.com> und Dr. Tobias Quathamer <toddy@debian.org> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.